> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Part File

> Import a file from external SAS URL to a part.



## OpenAPI

````yaml /api/openapi.json post /v1/parts/{partId}/import-file
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/parts/{partId}/import-file:
    post:
      tags:
        - Part
      summary: Import Part File
      description: Import a file from external SAS URL to a part.
      operationId: importPartFile
      parameters:
        - name: partId
          in: path
          required: true
          description: Part ID to import file to.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: File name.
                sasUrl:
                  type: string
                  description: SAS URL to copy from.
                group:
                  type: string
                  enum:
                    - preview
                    - document
                    - ip
                    - partDevelopment
                    - development
                  description: File group.
              required:
                - name
                - sasUrl
                - group
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportPartFileResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ImportPartFileResponse:
      type: object
      required:
        - fileId
      properties:
        fileId:
          type: string
          description: Imported file ID.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````